#include <signal.h>
#include <time.h>
#include <linux/unistd.h>
#include "posix_time.h"
#include "syscall_timer.h"

#define __NR___timer_create __NR_timer_create
#define __NR___timer_gettime __NR_timer_gettime
#define __NR___timer_settime __NR_timer_settime
#define __NR___timer_getoverrun __NR_timer_getoverrun
#define __NR___timer_delete __NR_timer_delete


/* This will expand into the timer_create system call stub. */
_syscall3(int, __timer_create, clockid_t, which_clock, struct sigevent *,
	  timer_event_spec, timer_t *, created_timer_id)

/* This will expand into the timer_gettime system call stub. */
_syscall2(int, __timer_gettime, 
	  timer_t, timer_id, 
	  struct itimerspec *, setting)

/* This will expand into the timer_settime system call stub. */
_syscall4(int, __timer_settime, 
	  timer_t, timer_id, 
	  int, flags, 
	  const struct itimerspec *, new_setting,
	  struct itimerspec *, old_setting)

/* This will expand into the timer_gettime system call stub. */
_syscall1(int, __timer_getoverrun, 
	  timer_t, timer_id)

/* This will expand into the timer_delete system call stub. */
_syscall1(int, __timer_delete, 
	  timer_t, timer_id)


